#!/bin/sh
#
# Run this to generate all the initial makefiles.
#

DIE=0
PROJECT="gryphon"

(autoconf --version) < /dev/null > /dev/null 2>&1 || {
	echo
	echo "Vous devez installer autoconf pour compiler $PROJECT."
	echo "Tlchargez le package appropri pour votre distribution/OS,"
	echo "ou les sources sur ftp://ftp.gnu.org/pub/gnu/"
	DIE=1
}

(automake --version) < /dev/null > /dev/null 2>&1 || {
	echo
	echo "Vous devez installer automake pour compiler $PROJECT."
	echo "Tlchargez le package appropri pour votre distribution/OS,"
	echo "ou les sources sur ftp://ftp.gnu.org/pub/gnu/"
	DIE=1
}

if test "$DIE" -eq 1 ; then
	exit 1
fi

if test -z "$*"; then
	echo "Lancement de ./configure sans arguments. Si vous souhaitez en"
	echo "utiliser, spcifiez sur la ligne de commande : $0"
fi

for dir in . ;  do
	echo traitement de $dir
	(cd $dir; \
		aclocalinclude="$ACLOCAL_FLAGS"; \
		aclocal $aclocalinclude; \
		autoheader; automake --add-missing --gnu $am_opt; autoconf)
done

./configure "$@"

echo
echo "Maintenant tapez 'make' pour compiler $PROJECT."
